#include <bits/stdc++.h>
using namespace std;
#define mod 1000000007
int main(){
ios_base::sync_with_stdio(false);
cin.tie(0);
cout.tie(0);
int n;
cin >>n;
string s;
cin >>s;
vector <long long> DP[26];
for(int i=0;i<26;i++)DP[i].resize(n+1);
for(int i=1;i<=n;i++){
    DP[0][i]=DP[0][i-1]+(s[i-1]=='A');
}
for(int i=1;i<26;i++){
    for(int j=1;j<=n;j++){
        DP[i][j]=DP[i][j-1]%mod;
        DP[i][j]+=(s[j-1]=='A'+i)*(DP[i-1][j-1]);
        DP[i][j]%=mod;
    }
}
cout <<DP[25][n]<<endl;
}